Subject: Re: ppc64le kunit test failure: guest_state_buffer_test

From: Eric Biggers <[email-masked]>
Date: Wed, 3 Jun 2026 00:40:35 -0700

On Wed, Jun 03, 2026 at 01:03:09PM +0530, Vaibhav Jain wrote:
> Hi Eric,
> 
> Thanks for trying and reporting this. This kunit test depends on
> availablility of Qemu commit 5f7d861e("spapr: nested: Add support for
> reporting Hostwide state counter ") [1] that was merged in v10.0.0.
> 
> Since you havent mentioned the qemu version used I assume its a version
> < v10.0.0 . With the qemu patch available you should see this test
> passing with results similar to as originally described in original
> cover letter of the patch series at [2] that introduced this kunit test.
> 
> [1] https://gitlab.com/qemu-project/qemu/-/commit/5f7d861e65d90e0446b8f22a0bc859a5d8058ea6
> 
> [2] https://lore.kernel.org/all/[email-masked]/

Nope, it fails even on the master branch of QEMU.

- Eric